# install.packages("bibliometrix") 	# If the bibliometrix package is not installed
# install.packages("openxlsx") 		  # If the openxlsx package is not installed

setwd("C:/Smart Mobility Data 2023/Final")
library(bibliometrix)
library(openxlsx)

S = convert2df("scopus_data.csv", dbsource = "scopus", format = "csv")
W = convert2df("wos_data.bib", dbsource = "isi", format = "bibtex")

Database = mergeDbSources(S, W, remove.duplicated = TRUE)
dim(Database)

write.xlsx(Database, file = "1_merged_database.xlsx")
quit()
